This is the mail archive of the cygwin-apps mailing list for the Cygwin project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: Error in g-b-s (line 408: almostall: command not found)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

According to Marcel Telka on 8/13/2005 4:04 PM:
> Hi.
> 
> There is an error in the latest generic-build-script (1.34). Parameter all
> doesn't work.

My bad; I goofed when adding almostall.  This patch fixes that (and a few
other things)...

2005-08-13  Eric Blake  <ebb9@byu.net>

	* templates/generic-build-script (build): Variables must be
	set after make to override Makefile's setting.
	(test_rule): Default to check, since FSF coding standards and
	automake prefer that.
	(install_docs): Add USAGE.
	(list): Sort the list.
	(LC_ALL): Set, to ensure sane behavior with sort and others.
	(src_orig_pkg_name): Improve error message.
	(all): Fix broken usage of almostall.

- --
Life is short - so eat dessert first!

Eric Blake             ebb9@byu.net
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (Cygwin)
Comment: Public key at home.comcast.net/~ericblake/eblake.gpg
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFC/nFT84KuGfSFAYARArZOAKDA7I9xfRcuMMaTT+/iZXyKq45z/gCfTWxc
MvcfNG0K6PKwfs1deE6f8u4=
=XtkO
-----END PGP SIGNATURE-----
Index: templates/generic-build-script
===================================================================
RCS file: /cvs/cygwin-apps/packaging/templates/generic-build-script,v
retrieving revision 1.34
diff -u -p -r1.34 generic-build-script
--- templates/generic-build-script	30 Jul 2005 16:01:12 -0000	1.34
+++ templates/generic-build-script	13 Aug 2005 22:15:50 -0000
@@ -7,7 +7,7 @@
 # Package maintainers: if the original source is not distributed as a
 # (possibly compressed) tarball, set the value of ${src_orig_pkg_name},
 # and redefine the unpack() helper function appropriately.
-# Also, if the Makefile rule to run the test suite is not "test", change
+# Also, if the Makefile rule to run the test suite is not "check", change
 # the definition of ${test_rule} below.
 
 # find out where the build script is located
@@ -60,7 +60,8 @@ elif [ -e ${BASEPKG}.tar ] ; then
   export opt_decomp=
   export src_orig_pkg_name=${BASEPKG}.tar
 else
-  echo Cannot find original package.
+  echo "Cannot find PKG:${SHORTPKG} VER:${VER} REL:${REL}.  Rename $0 to"
+  echo "something more appropriate, and try again."
   exit 1
 fi
 
@@ -115,12 +116,15 @@ export install_docs="\
 	RELEASE_NOTES \
 	THANKS \
 	TODO \
+	USAGE \
 "
 export install_docs="`for i in ${install_docs}; do echo $i; done | sort -u`"
-export test_rule=test
+export test_rule=check
 if [ -z "$SIG" ]; then
   export SIG=0	# set to 1 to turn on signing by default
 fi
+# Sort in POSIX order.
+export LC_ALL=C
 
 # helper functions
 
@@ -137,7 +141,7 @@ Actions are:
     conf, configure	Configure the package (./configure)
     reconf		Rerun configure
     build, make		Build the package (make)
-    check, test	    	Run the testsuite (make ${test_rule})
+    check, test		Run the testsuite (make ${test_rule})
     clean		Remove built files (make clean)
     install		Install package to staging area (make install)
     list		List package contents
@@ -203,7 +207,7 @@ reconf() {
 }
 build() {
   (cd ${objdir} && \
-  CFLAGS="${MY_CFLAGS}" make )
+  make CFLAGS="${MY_CFLAGS}" )
 }
 check() {
   (cd ${objdir} && \
@@ -292,7 +296,7 @@ strip() {
 }
 list() {
   (cd ${instdir} && \
-  find . -name "*" ! -type d | sed 's%^\.%  %' ; \
+  find . -name "*" ! -type d | sed 's%^\.%  %' | sort ; \
   true )
 }
 depend() {
@@ -379,7 +383,7 @@ checksig() {
 while test -n "$1" ; do
   case $1 in
     help|--help)	help ; STATUS=$? ;;
-    version|--version)	version ; STATUS=$?;;
+    version|--version)	version ; STATUS=$? ;;
     prep)		prep ; STATUS=$? ;;
     mkdirs)		mkdirs ; STATUS=$? ;;
     conf)		conf ; STATUS=$? ;;
@@ -405,7 +409,8 @@ while test -n "$1" ; do
     first)		mkdirs && spkg && finish ; STATUS=$? ;;
     almostall)		checksig && prep && conf && build && install && \
 			strip && pkg && spkg ; STATUS=$? ;;
-    all)		almostall && finish ; STATUS=$? ;;
+    all)		checksig && prep && conf && build && install && \
+			strip && pkg && spkg && finish ; STATUS=$? ;;
     *) echo "Error: bad arguments" ; exit 1 ;;
   esac
   ( exit ${STATUS} ) || exit ${STATUS}

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]